package ipn.elementary;

import ipn.IPNLabeledState;
import ipn.IPNType;

public class LabeledMarking extends Marking implements IPNLabeledState{

	private String name;

	public LabeledMarking(String name, UnitaryType net) {
		super(net);
		this.name = name;
	}
	
	public String getName() {
		return name;
	}

	public String toString(IPNType n) {
		return "\tstate "+name+" {\n"+super.toString(n)+"\t}\n";
	}
	
	@Override
	public boolean equals(Object obj) {
		if (obj == null && name.equals("default"))
			return true;
		return super.equals(obj);
	}
}
