package libpetri.dmcPetri;

import interfaces.IState;

import java.util.Enumeration;

import libpetri.structure.state.State;

public class StateItfAdapter implements Enumeration<IState> {

	private Enumeration<State> it;

	public StateItfAdapter(Enumeration<State> successors) {
		this.it = successors;
	}

	public boolean hasMoreElements() {
		return it.hasMoreElements();
	}

	public IState nextElement() {
		return (IState) it.nextElement();
	}

}
