package libpetri.nets;

import libpetri.structure.Visibility;

public interface ICompositeNet<TNet> {
	
	public boolean createComponent(TNet n);

	public boolean createSynchronization(String name, Visibility vis) ;
	
	public boolean addSynchronize(String tName, String slaveName) ;
	
	public void flatten(TNet receiver);

}
