package libpetri.nets;

import libpetri.graphics.ArcGraphics;
import libpetri.structure.Visibility;
import libpetri.structure.arcs.ArcType;

public interface IPTNet extends IGraphicNet {

	public boolean createPlace(String name);

	public boolean setPlaceState(String name, int mark);

	public boolean createTransition(String name, Visibility vis);

	public boolean createArc(String pname, String tname, ArcType at, int value);
	/// defaults arc value to 1
	public boolean createArc (String pname, String tname, ArcType at) ;
	// { return createArc(pname,tname,at,1) ; }
	public boolean createArc(String pname, String tname, ArcType at, int value, ArcGraphics g);
}
