package libpetri.structure;


import libpetri.tensor.ITensorIterator;

public class AdaptedBindingIterator implements ITensorIterator {

	ITensorIterator it;
	int [] varOrder;
	
	public AdaptedBindingIterator(int [] varorder, ITensorIterator it) {
		this.varOrder = varorder;
		this.it = it;
	}

	public void clear() {
		it.clear();
	}

	public boolean hasNext() {
		return it.hasNext();
	}

	public int[] next() {
		return it.next();
	}
	
	

}
