package libpetri.structure;

import libpetri.namespaces.NamedElement;

public class Variable extends NamedElement {
	private TypeDef type;
	private int index;

	public Variable(String name, TypeDef type) {
		super(name);
		this.type = type;
	}

	public TypeDef getType() {
		return type;
	}

	public void setIndex(int index) {
		this.index = index;
	}
	
	public int getIndex() {
		return index;
	}
	
	public String toString() {
		return type.getName()+"  "+name;
	}
}