package libpetri.structure.guard;

import java.util.Collection;
import java.util.Set;
import java.util.TreeSet;


public class NaryOp extends Guard {
	protected Set<Guard> operands;
		
	public NaryOp(Guard a, Guard b) {
		operands = new TreeSet<Guard>();
		operands.add(a);
		operands.add(b);
	}
	
	public NaryOp(Collection<Guard> ops) {
		operands = new TreeSet<Guard> (ops);
	}	
	
}
