package libpetri.test.philo;

import java.util.Calendar;

import libpetri.structure.Net;

public class EightPhiloTable extends PhiloTable {

	public EightPhiloTable(String name) {
		super(name);
	}


	public Net createPFcomponent() {
		return new EightPhil("pf");
	}

	
	public static void main(String[] args) {
		Net n  = new EightPhiloTable("tableForEight");

		System.out.println(n);
		Net unfold = new Net("unfolded");
		n.flatten(unfold);
		System.out.println(unfold);
		{
			Calendar c = Calendar.getInstance();
			unfold.generateStateSpace();
			Calendar c2 = Calendar.getInstance();
			System.out.println(" elapsed : "+ (c2.getTimeInMillis()-c.getTimeInMillis())+"ms");
		}
		{
			Calendar c = Calendar.getInstance();
			n.generateStateSpace();
			Calendar c2 = Calendar.getInstance();
			System.out.println(" elapsed : "+ (c2.getTimeInMillis()-c.getTimeInMillis())+"ms");

		}
	}

}
