package libpetri.test.philo;

import libpetri.structure.Net;

public class TwoPhil extends PhilCompose {

	
	@Override
	public Net createP1component() {
		return new PhiloFork("p1");
	}

	@Override
	public Net createP2component() {
		return new PhiloFork("p2");
	}
	
	public TwoPhil(String name) {
		super(name);
	}

	public static void main(String[] args) {
		TwoPhil pf = new TwoPhil("two");
		System.out.println(pf);
		pf.generateStateSpace();

	}

	
	
}
