package protocol;

import java.io.Serializable;
import java.util.Vector;

public class Message implements Serializable {

	private static final long serialVersionUID = 1L;
	public MsgType head ;
	public Vector<Object> data;
	
	public Message (MsgType t, Object data0) {
		head = t;
		data = new Vector<Object> (1) ;
		data.add(data0);
	}
	
	public Message (MsgType t, Object data0, Object data1) {
		head = t;
		data = new Vector<Object> (2) ;
		data.add(data0);
		data.add(data1);
	}
	
	public Message(MsgType t, Vector<Object> vector) {
		head = t;
		data = new Vector<Object> (vector);
	}

	public Message(MsgType t) {
		head = t ;
		data = null;
	}

	public String toString() {
		String ret = head.toString() ;
		if (data != null)
			for (int i = 0; i<data.size() ; i++) {
				ret += "#"+ data.get(i);
			}
		else
			ret += "null";
		return ret;
	}
}
