package transform;

public class ComposeTrace<Source, Middle, Target> implements ITrace<Source,Target> {
	
	private ITrace<Source, Middle> tr1;
	private ITrace<Middle, Target> tr2;

	public ComposeTrace(ITrace<Source,Middle> tr1, ITrace<Middle, Target> tr2) {
		this.tr1 = tr1;
		this.tr2 = tr2;
	}
	
	public void addTrace(Source s, Target t) {
		throw new NullPointerException("UNIMPLEMENTED");
	}

	public Source getSource(Target t) {
		return tr1.getSource(tr2.getSource(t));
	}

	public Target getTarget(Source s) {
		return tr2.getTarget(tr1.getTarget(s));
	}

}
