package transform;

public interface ITrace <Source,Target> {
	// associate source and target objects
	public void addTrace(Source s, Target t) ;
	// return source object that gave rise to target
	public Source getSource (Target t);
	// return target object that was obtained from source
	public Target getTarget (Source s);

}
