package transform;

import java.util.HashMap;

public class Trace<Source,Target> implements ITrace<Source,Target> {

	HashMap<Source,Target> srcMap = new HashMap<Source, Target>();
	HashMap<Target,Source> targetMap = new HashMap<Target, Source>();

	public void addTrace(Source s, Target t) {
		srcMap.put(s,t);
		targetMap.put(t,s);
	}
	
	public Source getSource(Target t) {
		return targetMap.get(t);
	}
	
	public Target getTarget(Source s) {
		return srcMap.get(s);
	}
	
	
}
