package transform.gui;

import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellRenderer;

import org.eclipse.uml2.uml.NamedElement;

public class ElementRenderer extends DefaultTableCellRenderer implements TableCellRenderer {

	public ElementRenderer() {
		setOpaque(true); //MUST do this for background to show up.
	}

	public Component getTableCellRendererComponent(
			JTable table, Object value,
			boolean isSelected, boolean hasFocus,
			int row, int column) {
		if (value instanceof NamedElement) {
			NamedElement n = (NamedElement) value;
			setText(n.eClass().getName() + " : " + n.getName());
			return this;
		} else {
			return super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
		}
	}
}


