package transform.gui;

import java.io.File;

import javax.swing.filechooser.FileFilter;


public class ExtensionFileFilter extends FileFilter {

	
	private String desc;
	private String ext;
	
	public ExtensionFileFilter(String desc, String ext) {
		this.desc = desc;
		this.ext =ext;
	}
	@Override
	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}

		String extension = Utils.getExtension(f);
		if (extension != null) {
			if (extension.equals(ext) ) {
				//	||   extension.equals(Utils.tif) ||
				return true;	
			} else {
				return false;
			}
		}
		return false;
	}
	@Override
	public String getDescription() {
		return desc ;
	}

}

class Utils {
	public final static String uml = "uml";
	/*
	 * Get the extension of a file.
	 */  
	public static String getExtension(File f) {
		String ext = null;
		String s = f.getName();
		int i = s.lastIndexOf('.');

		if (i > 0 &&  i < s.length() - 1) {
			ext = s.substring(i+1).toLowerCase();
		}
		return ext;
	}
}

