package activity;

import gui.Configuration;
import interfaces.IController;

import java.io.IOException;

import simple.SimpleModelFactory;

public class PeerTest {

	public static void main(String[] args) {
		Configuration c;

		try {
			c = new Configuration();
			c.loadConfiguration("local.dmc");
			c.setLocalNode(Integer.parseInt(args[0]));
			Configuration.setConf(c);
		} catch (IOException e) {
			e.printStackTrace();
		}

		IController control;
		try {
			control = new ObservableActivityController(new SimpleModelFactory());




//			Timer t = new Timer(true);
//			class StatThread extends TimerTask {

//			@Override
//			public void run() {
//			System.out.println(control.getStatistics());			
//			}

//			}

//			TimerTask tt = new StatThread();
//			t.schedule(tt,3000,3000);


			System.out.println("slave node, press any key to exit");
			try {
				System.in.read();
			} catch (IOException e) {				
				e.printStackTrace();
			}


			control.generateStateSet();

			System.out.println("Locally finished ! \n Stats : " + control.getStatistics());

			System.out.println("slave node, press any key to exit");
			try {
				System.in.read();
			} catch (IOException e) {				
				e.printStackTrace();
			}
			control = null;
		} catch (IOException e1) {
			e1.printStackTrace();
		}
	}

}
