package ipn.composite;

import ipn.IPNInstance;

public class SyncPart {
	private IPNInstance inst;
	private String tname;

	public SyncPart(IPNInstance inst, String tname) {
		this.inst = inst;
		this.tname = tname;
	}
	
	
	public String toString() {
		return "\t  "+inst.getName()+"."+tname+" ;\n";
	}


	public IPNInstance getInstance() {
		return inst;
	}
	
	public String getTname() {
		return tname;
	}
}
