// $ANTLR 3.0.1 /data/thierry/workspace/dmc-java/ipn/ipn.g 2008-08-27 18:30:09

package ipn.parser;

import ipn.*;
import ipn.composite.*;
import ipn.elementary.*;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class ipnParser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "WS", "STRING", "IMPORT", "MAINKW", "ID", "COMPNETKW", "NETINSTANCEKW", "PUBLICKW", "PRIVATEKW", "SYNCKW", "ORSYNCKW", "ANDSYNCKW", "STATEKW", "UNITNETKW", "PLACEKW", "TRANSKW", "INTEGER", "EMPTYTOKEN", "INPUTKW", "OUTPUTKW", "INHIBITORKW", "LETTER", "COMMENT", "DIGIT", "';'", "'{'", "'}'", "'.'", "'='", "'\\''"
    };
    public static final int ORSYNCKW=14;
    public static final int ANDSYNCKW=15;
    public static final int STATEKW=16;
    public static final int LETTER=25;
    public static final int PLACEKW=18;
    public static final int PUBLICKW=11;
    public static final int OUTPUTKW=23;
    public static final int PRIVATEKW=12;
    public static final int WS=4;
    public static final int STRING=5;
    public static final int SYNCKW=13;
    public static final int COMMENT=26;
    public static final int IMPORT=6;
    public static final int INPUTKW=22;
    public static final int EMPTYTOKEN=21;
    public static final int COMPNETKW=9;
    public static final int NETINSTANCEKW=10;
    public static final int INTEGER=20;
    public static final int INHIBITORKW=24;
    public static final int EOF=-1;
    public static final int DIGIT=27;
    public static final int UNITNETKW=17;
    public static final int TRANSKW=19;
    public static final int MAINKW=7;
    public static final int ID=8;

        public ipnParser(TokenStream input) {
            super(input);
        }
        

    public String[] getTokenNames() { return tokenNames; }
    public String getGrammarFileName() { return "/data/thierry/workspace/dmc-java/ipn/ipn.g"; }


      IPNModel model = new IPNModel();
      CompositeNet cnet ;
      UnitaryType unet;



    // $ANTLR start ipnModel
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:74:1: ipnModel returns [IPNModel model] : ipnFile MAINKW mainType= ID mainName= ID ';' ;
    public final IPNModel ipnModel() throws RecognitionException {
        IPNModel model = null;

        Token mainType=null;
        Token mainName=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:74:35: ( ipnFile MAINKW mainType= ID mainName= ID ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:74:37: ipnFile MAINKW mainType= ID mainName= ID ';'
            {
            pushFollow(FOLLOW_ipnFile_in_ipnModel82);
            ipnFile();
            _fsp--;

            match(input,MAINKW,FOLLOW_MAINKW_in_ipnModel84); 
            mainType=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_ipnModel88); 
            mainName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_ipnModel92); 
            match(input,28,FOLLOW_28_in_ipnModel94); 
             	
            	model = this.model;
            	model.setMain(mainType.getText(),mainName.getText());
            	return model; 
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return model;
    }
    // $ANTLR end ipnModel


    // $ANTLR start ipnFile
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:81:1: ipnFile : ( compositeNetDef | unitNetDef )* ;
    public final void ipnFile() throws RecognitionException {
        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:81:9: ( ( compositeNetDef | unitNetDef )* )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:81:11: ( compositeNetDef | unitNetDef )*
            {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:81:11: ( compositeNetDef | unitNetDef )*
            loop1:
            do {
                int alt1=3;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==COMPNETKW) ) {
                    alt1=1;
                }
                else if ( (LA1_0==UNITNETKW) ) {
                    alt1=2;
                }


                switch (alt1) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:81:12: compositeNetDef
            	    {
            	    pushFollow(FOLLOW_compositeNetDef_in_ipnFile107);
            	    compositeNetDef();
            	    _fsp--;


            	    }
            	    break;
            	case 2 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:81:28: unitNetDef
            	    {
            	    pushFollow(FOLLOW_unitNetDef_in_ipnFile109);
            	    unitNetDef();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end ipnFile


    // $ANTLR start compositeNetDef
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:84:1: compositeNetDef : COMPNETKW netTypeName= ID '{' compNetBody '}' ;
    public final void compositeNetDef() throws RecognitionException {
        Token netTypeName=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:84:18: ( COMPNETKW netTypeName= ID '{' compNetBody '}' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:84:21: COMPNETKW netTypeName= ID '{' compNetBody '}'
            {
            match(input,COMPNETKW,FOLLOW_COMPNETKW_in_compositeNetDef125); 
            netTypeName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_compositeNetDef129); 

            		   cnet = new CompositeNet(netTypeName.getText());
            		 
            match(input,29,FOLLOW_29_in_compositeNetDef138); 
            pushFollow(FOLLOW_compNetBody_in_compositeNetDef142);
            compNetBody();
            _fsp--;

            match(input,30,FOLLOW_30_in_compositeNetDef146); 

            		   model.addType(cnet);
            		

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end compositeNetDef


    // $ANTLR start compNetBody
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:1: compNetBody : ( netInstanceDecl )* ( compStateDecl )* ( syncTransDecl )* ;
    public final void compNetBody() throws RecognitionException {
        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:13: ( ( netInstanceDecl )* ( compStateDecl )* ( syncTransDecl )* )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:16: ( netInstanceDecl )* ( compStateDecl )* ( syncTransDecl )*
            {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:16: ( netInstanceDecl )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==NETINSTANCEKW) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:16: netInstanceDecl
            	    {
            	    pushFollow(FOLLOW_netInstanceDecl_in_compNetBody165);
            	    netInstanceDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

            // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:33: ( compStateDecl )*
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( (LA3_0==STATEKW) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:33: compStateDecl
            	    {
            	    pushFollow(FOLLOW_compStateDecl_in_compNetBody168);
            	    compStateDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);

            // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:48: ( syncTransDecl )*
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( ((LA4_0>=PUBLICKW && LA4_0<=PRIVATEKW)) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:97:48: syncTransDecl
            	    {
            	    pushFollow(FOLLOW_syncTransDecl_in_compNetBody171);
            	    syncTransDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end compNetBody


    // $ANTLR start netInstanceDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:100:1: netInstanceDecl : NETINSTANCEKW type= ID name= ID ';' ;
    public final void netInstanceDecl() throws RecognitionException {
        Token type=null;
        Token name=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:101:2: ( NETINSTANCEKW type= ID name= ID ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:101:4: NETINSTANCEKW type= ID name= ID ';'
            {
            match(input,NETINSTANCEKW,FOLLOW_NETINSTANCEKW_in_netInstanceDecl184); 
            type=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_netInstanceDecl188); 
            name=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_netInstanceDecl192); 
            match(input,28,FOLLOW_28_in_netInstanceDecl194); 

            	cnet.createInstance(name.getText(),type.getText(),model);
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end netInstanceDecl


    // $ANTLR start visibility
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:107:1: visibility returns [Visibility vis] : ( PUBLICKW | PRIVATEKW ) ;
    public final Visibility visibility() throws RecognitionException {
        Visibility vis = null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:108:2: ( ( PUBLICKW | PRIVATEKW ) )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:108:4: ( PUBLICKW | PRIVATEKW )
            {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:108:4: ( PUBLICKW | PRIVATEKW )
            int alt5=2;
            int LA5_0 = input.LA(1);

            if ( (LA5_0==PUBLICKW) ) {
                alt5=1;
            }
            else if ( (LA5_0==PRIVATEKW) ) {
                alt5=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("108:4: ( PUBLICKW | PRIVATEKW )", 5, 0, input);

                throw nvae;
            }
            switch (alt5) {
                case 1 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:108:5: PUBLICKW
                    {
                    match(input,PUBLICKW,FOLLOW_PUBLICKW_in_visibility214); 

                    	 vis = Visibility.PUBLIC;
                    	

                    }
                    break;
                case 2 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:112:5: PRIVATEKW
                    {
                    match(input,PRIVATEKW,FOLLOW_PRIVATEKW_in_visibility223); 

                    	 vis = Visibility.PRIVATE;
                    	

                    }
                    break;

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return vis;
    }
    // $ANTLR end visibility

    protected static class syncTransDecl_scope {
        String sname;
    }
    protected Stack syncTransDecl_stack = new Stack();


    // $ANTLR start syncTransDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:120:1: syncTransDecl : vis= visibility st= syncType SYNCKW syncName= ID '{' ( transRef )* '}' ;
    public final void syncTransDecl() throws RecognitionException {
        syncTransDecl_stack.push(new syncTransDecl_scope());
        Token syncName=null;
        Visibility vis = null;

        SyncType st = null;


        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:122:2: (vis= visibility st= syncType SYNCKW syncName= ID '{' ( transRef )* '}' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:122:5: vis= visibility st= syncType SYNCKW syncName= ID '{' ( transRef )* '}'
            {
            pushFollow(FOLLOW_visibility_in_syncTransDecl253);
            vis=visibility();
            _fsp--;

            pushFollow(FOLLOW_syncType_in_syncTransDecl257);
            st=syncType();
            _fsp--;

            match(input,SYNCKW,FOLLOW_SYNCKW_in_syncTransDecl259); 
            syncName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_syncTransDecl263); 

            	((syncTransDecl_scope)syncTransDecl_stack.peek()).sname = syncName.getText();
            	cnet.createSynchronization(((syncTransDecl_scope)syncTransDecl_stack.peek()).sname,vis,st);
            	
            match(input,29,FOLLOW_29_in_syncTransDecl270); 
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:127:7: ( transRef )*
            loop6:
            do {
                int alt6=2;
                int LA6_0 = input.LA(1);

                if ( (LA6_0==ID) ) {
                    alt6=1;
                }


                switch (alt6) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:127:7: transRef
            	    {
            	    pushFollow(FOLLOW_transRef_in_syncTransDecl272);
            	    transRef();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop6;
                }
            } while (true);

            match(input,30,FOLLOW_30_in_syncTransDecl275); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            syncTransDecl_stack.pop();
        }
        return ;
    }
    // $ANTLR end syncTransDecl


    // $ANTLR start syncType
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:129:1: syncType returns [SyncType st] : ( ORSYNCKW | ANDSYNCKW ) ;
    public final SyncType syncType() throws RecognitionException {
        SyncType st = null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:129:32: ( ( ORSYNCKW | ANDSYNCKW ) )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:130:2: ( ORSYNCKW | ANDSYNCKW )
            {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:130:2: ( ORSYNCKW | ANDSYNCKW )
            int alt7=2;
            int LA7_0 = input.LA(1);

            if ( (LA7_0==ORSYNCKW) ) {
                alt7=1;
            }
            else if ( (LA7_0==ANDSYNCKW) ) {
                alt7=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("130:2: ( ORSYNCKW | ANDSYNCKW )", 7, 0, input);

                throw nvae;
            }
            switch (alt7) {
                case 1 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:130:3: ORSYNCKW
                    {
                    match(input,ORSYNCKW,FOLLOW_ORSYNCKW_in_syncType291); 

                    	st = SyncType.OR;
                    	

                    }
                    break;
                case 2 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:134:3: ANDSYNCKW
                    {
                    match(input,ANDSYNCKW,FOLLOW_ANDSYNCKW_in_syncType299); 

                    	st = SyncType.AND;
                    	

                    }
                    break;

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return st;
    }
    // $ANTLR end syncType


    // $ANTLR start transRef
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:141:1: transRef : net= ID '.' trans= ID ';' ;
    public final void transRef() throws RecognitionException {
        Token net=null;
        Token trans=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:142:2: (net= ID '.' trans= ID ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:142:4: net= ID '.' trans= ID ';'
            {
            net=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_transRef320); 
            match(input,31,FOLLOW_31_in_transRef321); 
            trans=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_transRef324); 
            match(input,28,FOLLOW_28_in_transRef326); 

            	cnet.addSyncPart(((syncTransDecl_scope)syncTransDecl_stack.peek()).sname,net.getText(),trans.getText());
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end transRef

    protected static class compStateDecl_scope {
        String state;
    }
    protected Stack compStateDecl_stack = new Stack();


    // $ANTLR start compStateDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:149:1: compStateDecl : STATEKW stateName= ID '{' ( subnetStateDecl )* '}' ;
    public final void compStateDecl() throws RecognitionException {
        compStateDecl_stack.push(new compStateDecl_scope());
        Token stateName=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:151:2: ( STATEKW stateName= ID '{' ( subnetStateDecl )* '}' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:151:4: STATEKW stateName= ID '{' ( subnetStateDecl )* '}'
            {
            match(input,STATEKW,FOLLOW_STATEKW_in_compStateDecl349); 
            stateName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_compStateDecl353); 

            	((compStateDecl_scope)compStateDecl_stack.peek()).state = stateName.getText();
            	
            match(input,29,FOLLOW_29_in_compStateDecl361); 
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:155:7: ( subnetStateDecl )*
            loop8:
            do {
                int alt8=2;
                int LA8_0 = input.LA(1);

                if ( (LA8_0==ID) ) {
                    alt8=1;
                }


                switch (alt8) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:155:7: subnetStateDecl
            	    {
            	    pushFollow(FOLLOW_subnetStateDecl_in_compStateDecl363);
            	    subnetStateDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop8;
                }
            } while (true);

            match(input,30,FOLLOW_30_in_compStateDecl366); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            compStateDecl_stack.pop();
        }
        return ;
    }
    // $ANTLR end compStateDecl


    // $ANTLR start subnetStateDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:157:1: subnetStateDecl : netInst= ID '=' netState= ID ';' ;
    public final void subnetStateDecl() throws RecognitionException {
        Token netInst=null;
        Token netState=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:158:2: (netInst= ID '=' netState= ID ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:158:4: netInst= ID '=' netState= ID ';'
            {
            netInst=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_subnetStateDecl377); 
            match(input,32,FOLLOW_32_in_subnetStateDecl379); 
            netState=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_subnetStateDecl383); 
            match(input,28,FOLLOW_28_in_subnetStateDecl385); 

            	cnet.setSubnetState( ((compStateDecl_scope)compStateDecl_stack.peek()).state,netInst.getText(),netState.getText());
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end subnetStateDecl


    // $ANTLR start unitNetDef
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:166:1: unitNetDef : UNITNETKW netTypeName= ID '{' netBody '}' ;
    public final void unitNetDef() throws RecognitionException {
        Token netTypeName=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:166:13: ( UNITNETKW netTypeName= ID '{' netBody '}' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:166:15: UNITNETKW netTypeName= ID '{' netBody '}'
            {
            match(input,UNITNETKW,FOLLOW_UNITNETKW_in_unitNetDef404); 
            netTypeName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_unitNetDef408); 

            		 unet = new UnitaryType(netTypeName.getText());
            		
            match(input,29,FOLLOW_29_in_unitNetDef417); 
            pushFollow(FOLLOW_netBody_in_unitNetDef422);
            netBody();
            _fsp--;

            match(input,30,FOLLOW_30_in_unitNetDef426); 

            		 model.addType(unet);
            		

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end unitNetDef


    // $ANTLR start netBody
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:1: netBody : ( placeDecl )* ( stateDecl )* ( transDecl )* ;
    public final void netBody() throws RecognitionException {
        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:10: ( ( placeDecl )* ( stateDecl )* ( transDecl )* )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:14: ( placeDecl )* ( stateDecl )* ( transDecl )*
            {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:14: ( placeDecl )*
            loop9:
            do {
                int alt9=2;
                int LA9_0 = input.LA(1);

                if ( (LA9_0==PLACEKW) ) {
                    alt9=1;
                }


                switch (alt9) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:14: placeDecl
            	    {
            	    pushFollow(FOLLOW_placeDecl_in_netBody446);
            	    placeDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop9;
                }
            } while (true);

            // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:26: ( stateDecl )*
            loop10:
            do {
                int alt10=2;
                int LA10_0 = input.LA(1);

                if ( (LA10_0==STATEKW) ) {
                    alt10=1;
                }


                switch (alt10) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:26: stateDecl
            	    {
            	    pushFollow(FOLLOW_stateDecl_in_netBody450);
            	    stateDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop10;
                }
            } while (true);

            // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:37: ( transDecl )*
            loop11:
            do {
                int alt11=2;
                int LA11_0 = input.LA(1);

                if ( ((LA11_0>=PUBLICKW && LA11_0<=PRIVATEKW)) ) {
                    alt11=1;
                }


                switch (alt11) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:178:37: transDecl
            	    {
            	    pushFollow(FOLLOW_transDecl_in_netBody453);
            	    transDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop11;
                }
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end netBody


    // $ANTLR start placeDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:181:1: placeDecl : PLACEKW placeName= ID ';' ;
    public final void placeDecl() throws RecognitionException {
        Token placeName=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:181:12: ( PLACEKW placeName= ID ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:181:15: PLACEKW placeName= ID ';'
            {
            match(input,PLACEKW,FOLLOW_PLACEKW_in_placeDecl467); 
            placeName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_placeDecl471); 
            match(input,28,FOLLOW_28_in_placeDecl473); 

            		unet.createPlace(placeName.getText());
            		

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end placeDecl

    protected static class transDecl_scope {
        String tname;
    }
    protected Stack transDecl_stack = new Stack();


    // $ANTLR start transDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:188:1: transDecl : v= visibility TRANSKW transName= ID '{' ( arcDecl )* '}' ;
    public final void transDecl() throws RecognitionException {
        transDecl_stack.push(new transDecl_scope());
        Token transName=null;
        Visibility v = null;


        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:189:24: (v= visibility TRANSKW transName= ID '{' ( arcDecl )* '}' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:189:27: v= visibility TRANSKW transName= ID '{' ( arcDecl )* '}'
            {
            pushFollow(FOLLOW_visibility_in_transDecl500);
            v=visibility();
            _fsp--;

            match(input,TRANSKW,FOLLOW_TRANSKW_in_transDecl502); 
            transName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_transDecl506); 

            		((transDecl_scope)transDecl_stack.peek()).tname = transName.getText();
            		unet.createTransition(((transDecl_scope)transDecl_stack.peek()).tname,v);
            		
            match(input,29,FOLLOW_29_in_transDecl515); 
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:194:7: ( arcDecl )*
            loop12:
            do {
                int alt12=2;
                int LA12_0 = input.LA(1);

                if ( ((LA12_0>=INPUTKW && LA12_0<=INHIBITORKW)) ) {
                    alt12=1;
                }


                switch (alt12) {
            	case 1 :
            	    // /data/thierry/workspace/dmc-java/ipn/ipn.g:194:7: arcDecl
            	    {
            	    pushFollow(FOLLOW_arcDecl_in_transDecl517);
            	    arcDecl();
            	    _fsp--;


            	    }
            	    break;

            	default :
            	    break loop12;
                }
            } while (true);

            match(input,30,FOLLOW_30_in_transDecl520); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            transDecl_stack.pop();
        }
        return ;
    }
    // $ANTLR end transDecl


    // $ANTLR start arcDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:197:1: arcDecl : at= arcType placeName= ID arcValue= markFunction ';' ;
    public final void arcDecl() throws RecognitionException {
        Token placeName=null;
        ArcType at = null;

        int arcValue = 0;


        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:197:9: (at= arcType placeName= ID arcValue= markFunction ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:197:11: at= arcType placeName= ID arcValue= markFunction ';'
            {
            pushFollow(FOLLOW_arcType_in_arcDecl533);
            at=arcType();
            _fsp--;

            placeName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_arcDecl537); 
            pushFollow(FOLLOW_markFunction_in_arcDecl541);
            arcValue=markFunction();
            _fsp--;

            match(input,28,FOLLOW_28_in_arcDecl544); 

            	unet.createArc(placeName.getText(),((transDecl_scope)transDecl_stack.peek()).tname,at,arcValue);
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end arcDecl


    // $ANTLR start markFunction
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:203:1: markFunction returns [int n] : multiplicity= INTEGER ( '\\'' EMPTYTOKEN )? ;
    public final int markFunction() throws RecognitionException {
        int n = 0;

        Token multiplicity=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:204:2: (multiplicity= INTEGER ( '\\'' EMPTYTOKEN )? )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:204:4: multiplicity= INTEGER ( '\\'' EMPTYTOKEN )?
            {
            multiplicity=(Token)input.LT(1);
            match(input,INTEGER,FOLLOW_INTEGER_in_markFunction565); 
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:204:25: ( '\\'' EMPTYTOKEN )?
            int alt13=2;
            int LA13_0 = input.LA(1);

            if ( (LA13_0==33) ) {
                alt13=1;
            }
            switch (alt13) {
                case 1 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:204:26: '\\'' EMPTYTOKEN
                    {
                    match(input,33,FOLLOW_33_in_markFunction568); 
                    match(input,EMPTYTOKEN,FOLLOW_EMPTYTOKEN_in_markFunction570); 

                    }
                    break;

            }


            	n= Integer.parseInt(multiplicity.getText());
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return n;
    }
    // $ANTLR end markFunction


    // $ANTLR start arcType
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:210:1: arcType returns [ArcType at] : ( INPUTKW | OUTPUTKW | INHIBITORKW ) ;
    public final ArcType arcType() throws RecognitionException {
        ArcType at = null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:210:30: ( ( INPUTKW | OUTPUTKW | INHIBITORKW ) )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:211:2: ( INPUTKW | OUTPUTKW | INHIBITORKW )
            {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:211:2: ( INPUTKW | OUTPUTKW | INHIBITORKW )
            int alt14=3;
            switch ( input.LA(1) ) {
            case INPUTKW:
                {
                alt14=1;
                }
                break;
            case OUTPUTKW:
                {
                alt14=2;
                }
                break;
            case INHIBITORKW:
                {
                alt14=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("211:2: ( INPUTKW | OUTPUTKW | INHIBITORKW )", 14, 0, input);

                throw nvae;
            }

            switch (alt14) {
                case 1 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:211:3: INPUTKW
                    {
                    match(input,INPUTKW,FOLLOW_INPUTKW_in_arcType593); 

                    	at = ArcType.INPUT;
                    	

                    }
                    break;
                case 2 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:215:3: OUTPUTKW
                    {
                    match(input,OUTPUTKW,FOLLOW_OUTPUTKW_in_arcType601); 

                    	at = ArcType.OUTPUT;
                    	

                    }
                    break;
                case 3 :
                    // /data/thierry/workspace/dmc-java/ipn/ipn.g:219:3: INHIBITORKW
                    {
                    match(input,INHIBITORKW,FOLLOW_INHIBITORKW_in_arcType609); 

                    	at = ArcType.INHIBITOR;
                    	

                    }
                    break;

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return at;
    }
    // $ANTLR end arcType

    protected static class stateDecl_scope {
        String state;
    }
    protected Stack stateDecl_stack = new Stack();


    // $ANTLR start stateDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:226:1: stateDecl : STATEKW stateName= ID '{' placeStateDecl '}' ;
    public final void stateDecl() throws RecognitionException {
        stateDecl_stack.push(new stateDecl_scope());
        Token stateName=null;

        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:228:1: ( STATEKW stateName= ID '{' placeStateDecl '}' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:228:4: STATEKW stateName= ID '{' placeStateDecl '}'
            {
            match(input,STATEKW,FOLLOW_STATEKW_in_stateDecl633); 
            stateName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_stateDecl637); 

            	((stateDecl_scope)stateDecl_stack.peek()).state = stateName.getText();
            	
            match(input,29,FOLLOW_29_in_stateDecl645); 
            pushFollow(FOLLOW_placeStateDecl_in_stateDecl647);
            placeStateDecl();
            _fsp--;

            match(input,30,FOLLOW_30_in_stateDecl649); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
            stateDecl_stack.pop();
        }
        return ;
    }
    // $ANTLR end stateDecl


    // $ANTLR start placeStateDecl
    // /data/thierry/workspace/dmc-java/ipn/ipn.g:235:1: placeStateDecl : placeName= ID '=' marking= markFunction ';' ;
    public final void placeStateDecl() throws RecognitionException {
        Token placeName=null;
        int marking = 0;


        try {
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:235:16: (placeName= ID '=' marking= markFunction ';' )
            // /data/thierry/workspace/dmc-java/ipn/ipn.g:235:18: placeName= ID '=' marking= markFunction ';'
            {
            placeName=(Token)input.LT(1);
            match(input,ID,FOLLOW_ID_in_placeStateDecl662); 
            match(input,32,FOLLOW_32_in_placeStateDecl664); 
            pushFollow(FOLLOW_markFunction_in_placeStateDecl668);
            marking=markFunction();
            _fsp--;

            match(input,28,FOLLOW_28_in_placeStateDecl670); 

            	unet.setPlaceState( ((stateDecl_scope)stateDecl_stack.peek()).state,placeName.getText(),marking);
            	

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end placeStateDecl


 

    public static final BitSet FOLLOW_ipnFile_in_ipnModel82 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_MAINKW_in_ipnModel84 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_ipnModel88 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_ipnModel92 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_ipnModel94 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_compositeNetDef_in_ipnFile107 = new BitSet(new long[]{0x0000000000020202L});
    public static final BitSet FOLLOW_unitNetDef_in_ipnFile109 = new BitSet(new long[]{0x0000000000020202L});
    public static final BitSet FOLLOW_COMPNETKW_in_compositeNetDef125 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_compositeNetDef129 = new BitSet(new long[]{0x0000000020000000L});
    public static final BitSet FOLLOW_29_in_compositeNetDef138 = new BitSet(new long[]{0x0000000040011C00L});
    public static final BitSet FOLLOW_compNetBody_in_compositeNetDef142 = new BitSet(new long[]{0x0000000040000000L});
    public static final BitSet FOLLOW_30_in_compositeNetDef146 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_netInstanceDecl_in_compNetBody165 = new BitSet(new long[]{0x0000000000011C02L});
    public static final BitSet FOLLOW_compStateDecl_in_compNetBody168 = new BitSet(new long[]{0x0000000000011802L});
    public static final BitSet FOLLOW_syncTransDecl_in_compNetBody171 = new BitSet(new long[]{0x0000000000001802L});
    public static final BitSet FOLLOW_NETINSTANCEKW_in_netInstanceDecl184 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_netInstanceDecl188 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_netInstanceDecl192 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_netInstanceDecl194 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PUBLICKW_in_visibility214 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PRIVATEKW_in_visibility223 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_visibility_in_syncTransDecl253 = new BitSet(new long[]{0x000000000000C000L});
    public static final BitSet FOLLOW_syncType_in_syncTransDecl257 = new BitSet(new long[]{0x0000000000002000L});
    public static final BitSet FOLLOW_SYNCKW_in_syncTransDecl259 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_syncTransDecl263 = new BitSet(new long[]{0x0000000020000000L});
    public static final BitSet FOLLOW_29_in_syncTransDecl270 = new BitSet(new long[]{0x0000000040000100L});
    public static final BitSet FOLLOW_transRef_in_syncTransDecl272 = new BitSet(new long[]{0x0000000040000100L});
    public static final BitSet FOLLOW_30_in_syncTransDecl275 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ORSYNCKW_in_syncType291 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ANDSYNCKW_in_syncType299 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ID_in_transRef320 = new BitSet(new long[]{0x0000000080000000L});
    public static final BitSet FOLLOW_31_in_transRef321 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_transRef324 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_transRef326 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STATEKW_in_compStateDecl349 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_compStateDecl353 = new BitSet(new long[]{0x0000000020000000L});
    public static final BitSet FOLLOW_29_in_compStateDecl361 = new BitSet(new long[]{0x0000000040000100L});
    public static final BitSet FOLLOW_subnetStateDecl_in_compStateDecl363 = new BitSet(new long[]{0x0000000040000100L});
    public static final BitSet FOLLOW_30_in_compStateDecl366 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ID_in_subnetStateDecl377 = new BitSet(new long[]{0x0000000100000000L});
    public static final BitSet FOLLOW_32_in_subnetStateDecl379 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_subnetStateDecl383 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_subnetStateDecl385 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_UNITNETKW_in_unitNetDef404 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_unitNetDef408 = new BitSet(new long[]{0x0000000020000000L});
    public static final BitSet FOLLOW_29_in_unitNetDef417 = new BitSet(new long[]{0x0000000040051800L});
    public static final BitSet FOLLOW_netBody_in_unitNetDef422 = new BitSet(new long[]{0x0000000040000000L});
    public static final BitSet FOLLOW_30_in_unitNetDef426 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_placeDecl_in_netBody446 = new BitSet(new long[]{0x0000000000051802L});
    public static final BitSet FOLLOW_stateDecl_in_netBody450 = new BitSet(new long[]{0x0000000000011802L});
    public static final BitSet FOLLOW_transDecl_in_netBody453 = new BitSet(new long[]{0x0000000000001802L});
    public static final BitSet FOLLOW_PLACEKW_in_placeDecl467 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_placeDecl471 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_placeDecl473 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_visibility_in_transDecl500 = new BitSet(new long[]{0x0000000000080000L});
    public static final BitSet FOLLOW_TRANSKW_in_transDecl502 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_transDecl506 = new BitSet(new long[]{0x0000000020000000L});
    public static final BitSet FOLLOW_29_in_transDecl515 = new BitSet(new long[]{0x0000000041C00000L});
    public static final BitSet FOLLOW_arcDecl_in_transDecl517 = new BitSet(new long[]{0x0000000041C00000L});
    public static final BitSet FOLLOW_30_in_transDecl520 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_arcType_in_arcDecl533 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_arcDecl537 = new BitSet(new long[]{0x0000000000100000L});
    public static final BitSet FOLLOW_markFunction_in_arcDecl541 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_arcDecl544 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INTEGER_in_markFunction565 = new BitSet(new long[]{0x0000000200000002L});
    public static final BitSet FOLLOW_33_in_markFunction568 = new BitSet(new long[]{0x0000000000200000L});
    public static final BitSet FOLLOW_EMPTYTOKEN_in_markFunction570 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INPUTKW_in_arcType593 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_OUTPUTKW_in_arcType601 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INHIBITORKW_in_arcType609 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_STATEKW_in_stateDecl633 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_ID_in_stateDecl637 = new BitSet(new long[]{0x0000000020000000L});
    public static final BitSet FOLLOW_29_in_stateDecl645 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_placeStateDecl_in_stateDecl647 = new BitSet(new long[]{0x0000000040000000L});
    public static final BitSet FOLLOW_30_in_stateDecl649 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ID_in_placeStateDecl662 = new BitSet(new long[]{0x0000000100000000L});
    public static final BitSet FOLLOW_32_in_placeStateDecl664 = new BitSet(new long[]{0x0000000000100000L});
    public static final BitSet FOLLOW_markFunction_in_placeStateDecl668 = new BitSet(new long[]{0x0000000010000000L});
    public static final BitSet FOLLOW_28_in_placeStateDecl670 = new BitSet(new long[]{0x0000000000000002L});

}