package libpetri.dmcPetri;

import interfaces.IModelEngine;
import interfaces.IModelFactory;
import interfaces.StatAggregator;
import libpetri.structure.Net;
import libpetri.test.philo.FourPhiloTable;

public class PetriFactory implements IModelFactory {

	private Net model;

	public PetriFactory () {
		model = new FourPhiloTable("philofork");
	}

	public IModelEngine create() {
		return new PetriEngine(model);
	}

	public void getStats(StatAggregator stats) {
		stats.agregate("\nSimple model Factory v0.0");
		stats.agregate(model);
	}

	

}
