package libpetri.structure;

import libpetri.structure.arcs.InputArc;
import libpetri.structure.arcs.OutputArc;
import libpetri.structure.state.State;

public interface NetVisitor {

	public void visit(Net n);

	public void visit(State s);

	public void visit(Place p);

	public void visit(Transition t);

	public void visit(InputArc a);

	public void visit(OutputArc a);

}
