package micropilot;

import java.util.Vector;

import cami.FKCommand;

public class DefaultServiceHandler implements IServiceHandler {

	public void handleMessage(FKCommand resp, Vector<ServiceResult> res) {
		switch (resp.getCode()) {
		case DE :
			try {
				res.add(new ServiceResult( resp.get(0)+ " {"));
			} catch (ArrayIndexOutOfBoundsException e) { 
				// dont add anything , ignore blank result lines
			}
			break;
		case FE :
			res.add(new ServiceResult("}"));
			break;
		case TQ :
//			if ( resp.get(1).equals(s.getName()) ) {
				try {
					res.add(new ServiceResult(resp.get(3)));
				} catch (ArrayIndexOutOfBoundsException e) { 
					// dont add anything , ignore blank result lines
				}
//			}
			break;
		case RT :
		case TR :
		case WN :
			try {
				res.add(new ServiceResult(resp.get(0)));
			} catch (ArrayIndexOutOfBoundsException e) { 
				// dont add anything , ignore blank result lines
			}
			break;
		default :
			// read and discard response
		}
	}

}
