package micropilot;

import java.util.Vector;

import cami.FKCommand;

public class SyntaxCheckerServiceHandler implements IServiceHandler {
	String groupResp ="";
	int targetId = 2;
	boolean inDEFE = false;
	
	public void handleMessage(FKCommand fk, Vector<ServiceResult> res) {
		
		switch (fk.getCode())  {
		case DE :
			groupResp = "";
			inDEFE = true;
			break;
		case RO : 
			if (inDEFE)
				targetId = Integer.parseInt(fk.get(0));
			break;
		case RT :
			if (inDEFE)
				groupResp += fk.get(0)+"\n";
			break;
		case FE :
			res.add(new ServiceResult(targetId,groupResp,Level.WARNING));
			inDEFE = false;
			break;
//			case TQ :
////			if ( resp.get(1).equals(s.getName()) ) {
//			try {
//			res.add(new ServiceResult(Integer.parseInt(fk.get(2)),fk.get(3)));
//			} catch (ArrayIndexOutOfBoundsException e) { 
//			e.printStackTrace();
//			}
//			}

		}
	}
}
