package simple;

import interfaces.IModelEngine;
import interfaces.IModelFactory;
import interfaces.StatAggregator;

// Singleton simple model class factory
public class SimpleModelFactory implements IModelFactory {
	private SimpleModel model;

	public SimpleModelFactory () {
		model = new SimpleModel();
	}

	public IModelEngine create() {
		return model;
	}

	public void getStats(StatAggregator stats) {
		stats.agregate("\nSimple model Factory v0.0");
		model.getStats(stats);
	}
}
